Package com.sleepycat.db

## Class KeyRange

- java.lang.Object
- - com.sleepycat.db.KeyRange

-     public class KeyRange
      extends java.lang.Object

  An object that returns status from the `Database.getKeyRange` method.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `equal` | Zero if there is no matching key, and non-zero otherwise.
    `double` | `greater` | A value between 0 and 1, the proportion of keys greater than the specified key.
    `double` | `less` | A value between 0 and 1, the proportion of keys less than the specified key.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyRange()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### equal

          public double equal

      Zero if there is no matching key, and non-zero otherwise.

    - #### greater

          public double greater

      A value between 0 and 1, the proportion of keys greater than the specified key.

      For example, if the value is 0.05, 5% of the keys in the database are greater than the specified key.

    - #### less

          public double less

      A value between 0 and 1, the proportion of keys less than the specified key.

      For example, if the value is 0.05, 5% of the keys in the database are less than the specified key.

  - ### Constructor Detail

    - #### KeyRange

          public KeyRange()

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.